Package org.apache.sysds.runtime.compress.estim

## Interface CompressedSizeEstimatorFactory

-     public interface CompressedSizeEstimatorFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.apache.commons.logging.Log` | `LOG` |

  - ### Method Summary

    Static Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CompressedSizeEstimator` | `createEstimator​(MatrixBlock data, CompressionSettings cs, int k)` | Create an estimator for the input data with the given settings and parallelization degree.
    `static CompressedSizeEstimator` | `createEstimator​(MatrixBlock data, CompressionSettings cs, int sampleSize, int k)` | Create an estimator for the input data with the given settings and parallelization degree.

- - ### Field Detail

    - #### LOG

          static final org.apache.commons.logging.Log LOG

  - ### Method Detail

    - #### createEstimator

          static CompressedSizeEstimator createEstimator​(MatrixBlock data,
                                                         CompressionSettings cs,
                                                         int k)

      Create an estimator for the input data with the given settings and parallelization degree.
      Parameters:
        `data` - The matrix to extract compression information from.
        `cs` - The settings for the compression
        `k` - The parallelization degree
      Returns:
        A new CompressionSizeEstimator used to extract information of column groups

    - #### createEstimator

          static CompressedSizeEstimator createEstimator​(MatrixBlock data,
                                                         CompressionSettings cs,
                                                         int sampleSize,
                                                         int k)

      Create an estimator for the input data with the given settings and parallelization degree.
      Parameters:
        `data` - The matrix to extract compression information from.
        `cs` - The settings for the compression
        `sampleSize` - The number of rows to extract from the input data to extract information from.
        `k` - The parallelization degree
      Returns:
        A new CompressionSizeEstimator used to extract information of column groups